org.richfaces.view.facelets

## Class EventListenerHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - org.richfaces.view.facelets.EventListenerHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.facelets.FaceletHandler
  Direct Known Subclasses:
    ItemChangeListenerHandler, PanelToggleListenerHandler

      public abstract class EventListenerHandler
      extends javax.faces.view.facelets.TagHandler
      implements javax.faces.view.AttachedObjectHandler

  Since:
    Aug 31, 2010
  Author:
    akolonitsky

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventListenerHandler.LazyEventListener<L extends javax.faces.event.FacesListener>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.faces.view.facelets.TagAttribute` | `binding`
    `protected String` | `listenerType`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventListenerHandler(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
    `String` | `getFor()`
    `abstract boolean` | `isEventSource(javax.faces.component.UIComponent comp)`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject`

- - ### Field Detail

    - #### binding

          protected final javax.faces.view.facelets.TagAttribute binding

    - #### listenerType

          protected final String listenerType

  - ### Constructor Detail

    - #### EventListenerHandler

          public EventListenerHandler(javax.faces.view.facelets.TagConfig config)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws IOException

      Specified by:
        `apply` in interface `javax.faces.view.facelets.FaceletHandler`
      Throws:
        `IOException`

    - #### getFor

          public String getFor()

      Specified by:
        `getFor` in interface `javax.faces.view.AttachedObjectHandler`

    - #### isEventSource

          public abstract boolean isEventSource(javax.faces.component.UIComponent comp)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.